> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/glue-reference/menu/update/glue-reference-menu-libraries.md).

# glue-reference-menu-libraries

### Introduction

The Update Libraries menu item will update the FlatRedBall .dlls that your game uses. It will do this by downloading the .dlls from the website. ![](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-c82b9ff3a83542bb28e9e798cd81f8040eb5ad07%2F2017-01-img_58892eda66f65.png?alt=media) Once you select this menu item, you will need to select the build to update to. You most likely will want to update to the daily build (currently this is the only option, but this may be expanded in the future): ![SelectDailyBuild.png](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-112fb986f55f72b38222b7e3bc98a36a78f095c3%2Fmigrated_media-SelectDailyBuild.png?alt=media) When updating, the output window will show you which libraries have been updated.

![](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-6d997b404cd44aa530e2c8d4739bef188fb04a2c%2F2017-01-img_58892f2985ead.png?alt=media)

### What will this update

Glue will update the Libraries folder for all projects (main and synced projects) to the latest .dlls. In other words if you have multiple projects like PC, iOS, and Android, all libraries will be updated for all projects.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/glue-reference/menu/update/glue-reference-menu-libraries.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
